Package wx :: Module xrc :: Class XmlProperty

[frames | no frames]

## Type XmlProperty

    object --+
             |
            XmlProperty

Proxy of C++ XmlProperty class

Method Summary
XmlProperty | `__init__(self, name, value, next)`
String | `GetName(self)`
XmlProperty | `GetNext(self)`
String | `GetValue(self)`
| `SetName(self, name)`
| `SetNext(self, next)`
| `SetValue(self, value)`

Property Summary
| `Name`: See `GetName` and `SetName`
| `Next`: See `GetNext` and `SetNext`
| `thisown`: The membership flag
| `Value`: See `GetValue` and `SetValue`

Property Details

### Name

See `GetName` and `SetName`

  Get Method:
    `GetName`(self)
  Set Method:
    `SetName`(self, name)

### Next

See `GetNext` and `SetNext`

  Get Method:
    `GetNext`(self)
  Set Method:
    `SetNext`(self, next)

### thisown

The membership flag

  Get Method:
    unknown--1270507452(...)
  Set Method:
    unknown--1270507396(...)

### Value

See `GetValue` and `SetValue`

  Get Method:
    `GetValue`(self)
  Set Method:
    `SetValue`(self, value)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:16 2007 | http://epydoc.sf.net